Subject: [Sipping] no dialog created in unsuccessful busy case

From: "Jason Fischl" <[email-masked]>
Date: Wed, 11 Sep 2002 14:43:11 -0400

From,
http://www.ietf.org/internet-drafts/draft-ietf-sipping-basic-call-flows-00.txt

In this call flow example, when a 486 is returned by User B, 
a to-tag is inserted by User B. This does not seem correct 
since a dialog is not created in this case. Is it reasonable
to have a to tag in the 486 or should it be left out?

In the case of an Unsuccessful No Answer, an early dialog is 
set up by the 180 and this early dialog is terminated by the 
487. I assume that the 487 should include the to-tag from the 
early dialog. 

3.9     Unsuccessful Busy  
    
   User A          Proxy 1          Proxy 2          User B 
     |                |                |                | 
     |   INVITE F1    |                |                | 
     |--------------->|   INVITE F2    |                | 
     |     100  F3    |--------------->|   INVITE F4    | 
     |<---------------|     100  F5    |--------------->| 
     |                |<---------------|                | 
     |                |                |      486 F6    | 
     |                |                |<---------------| 
     |                |                |     ACK F7     | 
     |                |      486 F8    |--------------->| 
     |                |<---------------|                | 
     |                |      ACK F9    |                | 
     |     486 F10    |--------------->|                | 
     |<---------------|                |                | 
     |     ACK F11    |                |                | 
     |--------------->|                |                | 
     |                |                |                | 

  F6 486 Busy Here User B -> Proxy 2 
    
   SIP/2.0  486 Busy Here 
   Via: SIP/2.0/UDP ss2.biloxi.com:5060;branch=z9hG4bK721e418c4.1 
    ;received=192.168.156.222 
   Via: SIP/2.0/UDP ss1.atlanta.com:5060;branch=z9hG4bK2d4790.1 
    ;received=192.168.255.111 
   Via: SIP/2.0/UDP client.atlanta.com:5060;branch=z9hG4bK74bf9 
    ;received=192.168.100.101 
   From: BigGuy <sip:[email-masked]>;tag=9fxced76sl 
   To: LittleGuy <sip:[email-masked]>;tag=314159 
   Call-ID: [email-masked] 
   CSeq: 1 INVITE 
   Content-Length: 0 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Bob Penfield" <[email-masked]>
Date: Wed, 11 Sep 2002 15:44:55 -0400

The example is correct (486 response should have to-tag). According to
section 8.2.6.2 of RFC 3261, a UAS MUST add a To-tag to all responses except
a 100 (Trying). It helps identify the UAS responding, which is helpful
especially to forking proxies. The presence of a To-tag does not mean a
dialog is created. Only 1xx and 2xx responses can create dialogs.

Section 8.2.6.2 also says that the same tag MUST be used for all provisional
responses and the final response (to the same request). So you are correct
that the 180 and the 4xx would have the same to-tag.

cheers,
(-:bob

Robert F. Penfield
Chief Software Architect
Acme Packet, Inc.
130 New Boston Street
Woburn, MA 01801
[email-masked]

----- Original Message -----
From: "Jason Fischl" <[email-masked]>
To: "Sipping (E-mail)" <[email-masked]>
Sent: Wednesday, September 11, 2002 2:43 PM
Subject: [Sipping] no dialog created in unsuccessful busy case

> From,
http://www.ietf.org/internet-drafts/draft-ietf-sipping-basic-call-flows-00.t
xt